#include <bits/stdc++.h>
using namespace std;
long long n, q, niz[200005], x, y, m[3005][3005];
vector <long long> v[200005];
bool moguce(long long l, long long r){
   int br=0;
   for(int i=l+1; i<=r; i++){
      if(niz[i]<niz[i-1]) br++;
   }
   if(br<=1) return true;
   else return false;
}

int main(){
   scanf("%lld", &n);
   for(int i=1; i<=n; i++){
      scanf("%lld", &niz[i]);
   }
   for(int i=1; i<=n; i++){
      for(int j=1; j<=n; j++){
         if(moguce(i, j)){
            m[i][j]=1;
            //v[i].push_back(1);
            //cout << 1 << " ";
         }
         else{
            m[i][j]=0;
            //v[i].push_back(0);
            //cout << 0 << " ";
         }
      }
      //cout << endl;
   }

   /*for(int i=1; i<=n; i++){
      for(int j=1; j<=n; j++){
         cout << v[i][j] << " ";
      }
      cout << endl;
   }
   */
   scanf("%lld", &q);
   for(int i=1; i<=q; i++){
      scanf("%lld", &x);
      scanf("%lld", &y);
      if(m[x][y]){
            printf("DA");
            printf("\n");
      }
      else{
         printf("NE");
         printf("\n");
      }
   }
   return 0;
}